org.apache.fop.pdf

## Class PDFEncoding.DifferencesBuilder

- java.lang.Object
- - org.apache.fop.pdf.PDFEncoding.DifferencesBuilder

Enclosing class:
  PDFEncoding

    public class PDFEncoding.DifferencesBuilder
    extends Object

Builder class for constructing the Differences array.

### Constructor Summary

Constructors
Constructor and Description
`DifferencesBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PDFArray` `buildDifferencesArray(SingleByteEncoding encodingA, SingleByteEncoding encodingB)` Creates an array containing the differences between two single-byte.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DifferencesBuilder

    public DifferencesBuilder()

### Method Detail

#### buildDifferencesArray

    public PDFArray buildDifferencesArray(SingleByteEncoding encodingA,
                                          SingleByteEncoding encodingB)

Creates an array containing the differences between two single-byte. font encodings.

Parameters:
  `encodingA` - The first single-byte encoding
  `encodingB` - The second single-byte encoding
Returns:
  The PDFArray of differences between encodings